Run eBay Item Search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-item-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "wireless mouse",
"max_items": 25,
"sort": "price_low",
"condition": "new"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-item-search"
payload = {
"keyword": "wireless mouse",
"max_items": 25,
"sort": "price_low",
"condition": "new"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'wireless mouse', max_items: 25, sort: 'price_low', condition: 'new'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-item-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_item_search",
"keyword": "wireless mouse",
"max_items": 2,
"start_page": 1,
"sort": null,
"condition": null,
"buying_format": null,
"min_price": null,
"max_price": null,
"category_id": null,
"partial": false,
"human": "# eBay item search\n\n- **Search term:** wireless mouse\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.64 MB",
"machine": {
"total_items": 2,
"items": [
{
"id": "188182070260",
"url": "https://www.ebay.com/itm/188182070260",
"title": "2 Wireless Optical Mouse Mice 2.4GHz USB Receiver For Laptop PC Computer DPI USA",
"price": 5.88,
"currency": "USD",
"list_price": null,
"condition": "Brand New",
"image": "https://i.ebayimg.com/images/g/9eYAAeSwFsBpu6TH/s-l500.webp",
"buying_format": "FIXED_PRICE",
"bid_count": null,
"has_best_offer": false,
"shipping": "Free delivery",
"sold_count": 327,
"watcher_count": null,
"seller": {
"name": "catboutique",
"positive_percent": 99.2,
"feedback_count": 89300
}
},
{
"id": "387260583301",
"url": "https://www.ebay.com/itm/387260583301",
"title": "Wireless Optical Mouse Mice 2.4GHz USB Receiver For Laptop PC Computer DPI lot",
"price": 4.99,
"currency": "USD",
"list_price": null,
"condition": "Brand New",
"image": "https://i.ebayimg.com/images/g/7REAAOSwBqVmrdKS/s-l500.webp",
"buying_format": "FIXED_PRICE",
"bid_count": null,
"has_best_offer": false,
"shipping": "Free delivery",
"sold_count": 168,
"watcher_count": null,
"seller": {
"name": "thenicefella-02",
"positive_percent": 99.2,
"feedback_count": 44200
}
}
],
"proxy_traffic_bytes": 1722086
},
"total_points": 2
}E-commerce & Marketplaces
Run eBay Item Search
Searches active eBay listings by keyword with optional sort, condition, buying format, price, and category filters. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-ebay-item-search
Run eBay Item Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search term.
Maximum number of records to return (1-500). Billed at 1 point per returned record.
Required range:
1 <= x <= 500Result page to start from.
Required range:
x >= 1Available options:
best_match, ending_soonest, newly_listed, price_low, price_high Available options:
new, open_box, used, parts Available options:
auction, buy_it_now Required range:
x >= 0Required range:
x >= 0eBay category ID (see Run eBay Categories).
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.